PR1.3 just released – now with Qt4.7 and Qt Mobility

October 25, 2010 at 13:56 | Posted in sdk | 24 Comments
Tags: ,

Some of you are bound to have realized that there is a new update for the N900, PR1.3. This is primarily a consumer update containing many tweaks and improvements to the N900 user experience. It also aligns the Qt application and UI framework with the planned version for the MeeGo 1.1 platform (Qt 4.7).  Qt Mobility 1.0.2 APIs for mobile development are also included.

Software development using scratchbox for the new platform will be supported right away.  For those using the Nokia Qt SDK, we have tested Qt 4.6 applications on PR1.3 and did not encounter any major problems, so you can continue to distribute apps developed with the current toolset. Support for new N900 apps with the Qt4.7 framework will be available with a Nokia Qt SDK update that will be available soon.   Until then, Ovi Store will accept applications built using Qt4.6.

Qt 4.7 comes with Qt Declarative libraries and QML support. This cutting edge technology allows the fast creation of impressive application UIs.  It also supports interaction with C++ objects, allowing developers to create dynamic UIs in QML and link them to background C++ code.  There have been many examples of Qt Quick already posted at maemo.org and at qt.nokia.com.  Full Qt Creator support for Qt Quick development will be available when Nokia Qt SDK 1.1 is released.

About these ads

24 Comments »

RSS feed for comments on this post. TrackBack URI

  1. [...] you are developer, you should be pleased to know that the new [...]

  2. What about PyQt and/or PySide ?…

    • We’ve been waiting for the PR1.3 release to be able to push latest the PySide with full Qt 4.7 support together with the respective PySide Mobility package to Extras-devel. Now that the release is out, we should have the new packages in place within a couple of days!

      We’ll make a separate announcement about this in talk.maemo.org when that happens.

      • Good news, thanks !

      • Just to be clear: right now I get “Couldn’t find package pyside” when trying to install Pyside, and this will be fixed by the new packages soon?

        I have an application that I used daily, now inoperable due to not having Pyside bindings available.

        Thanks.

      • Mikael,

        Yes, I can see the issue: the packages were renamed to follow the Debian packaging but the required “Replaces” (and possibly “Provides”) packaging metadata fields aren’t set correctly. This is very bad – I’m sorry for the inconvenience. We’ll see to it right away. Expect to see fixed packages later today!

      • Hmm – actually most of the packages appear to set the Replaces and Conflicts fields correctly but the issue is still there… We’ll look into this and provide a solution, in any case. Again, sorry about the blunder.

  3. [...] you try to update the software, just uninstall a few apps and try again.     and the maemo DP team here:   Some of you are bound to have realized that there is a new update for the N900, PR1.3. This [...]

  4. [...] This post was mentioned on Twitter by brainimpact, ht, Nokia_Fan, Reggie Suplido, Tero Kojo and others. Tero Kojo said: Maemo5 PR1.3 justy released http://maemoteam.wordpress.com/2010/10/25/pr1-3-just-released-now-with-qt4-7-and-qt-mobility/ [...]

  5. [...] View post: PR1.3 just released – now with Qt4.7 and Qt Mobility « Maemo DP … [...]

  6. [...] major changes so far, but I’ll update this post if a changelog pops up. On the backend, the Maemo team mentioned on their blog that this update aligns the Qt application and UI framework with the [...]

  7. Any idea how much space needs to be freed up for the install? I am at 1.03 GB and it still asks me to use PC Suite (I have Opensuse no Windows)

    • You might want to check the usual culprits, like applications depending on the OpenGLES packages, like Tux Racer and Brain Party.

      Also http://wiki.maemo.org/OTA_to_PR1.1_troubleshooting might be of help. It refers to PR1.1, but it has useful troubleshooting tips.

      • Thank you that helped alot, finally got the update working. Though can’t say I’ve noticed any major differences yet

  8. good news for all nokia n900 fans.please any one will develope mobileTV for 900

  9. BONJOUR MOI CE QUI M INTERESSE C EST DE FAIRE FONCTIONNER LE GPS COMME LES AUTRE GSM QUI COUE BIEN MOIN CHER, ET DE POUVOIR TELEPHONNER EN VIDEO CONFERENCE, CAR AU DEPART EN ACHETENT LE N 900 JE PENSAIS QUE TOUT ETAIT DISPO ,DECUS DE CE PRODUIT DESOLE CAR J AI PAYE DU VENT.

  10. [...] PR1.3 just released – now with Qt4.7 and Qt Mobility Some of you are bound to have realized that there is a new update for the N900, PR1.3. This is primarily a consumer [...] [...]

  11. [...] 还有一些表面上看不到的变化,N900 的 Qt 应用程序与 UI 框架也升级到了 Qt 4.7,和 MeeGo 1.1 相同。对开发者来说,这是比较有意义的一个消息,详情可以参考 maemoteam 的博客(英文)。 [...]

  12. [...] also draws attention to a blog post from the Maemo team, which he assures is ‘definitely one to read if you’re a [...]

  13. [...] PR1.3 just released – now with Qt4.7 and Qt Mobility [...]

  14. [...] PR1.3 just released – now with Qt4.7 and Qt Mobility – Maemo DP Team Blog [...]

  15. [...] PR1.3 just released – now with Qt4.7 and Qt Mobility – Maemo DP Team Blog [...]

  16. great news for people, hoping that they are accept it gladly.

  17. [...] PR1.3 just released – now with Qt4.7 and Qt Mobility – Maemo DP Team Blog [...]


Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Blog at WordPress.com. | The Pool Theme.
Entries and comments feeds.

Follow

Get every new post delivered to your Inbox.

%d bloggers like this: